#ifndef CHANNELSETTING_H
#define CHANNELSETTING_H

#include <QWidget>

namespace Ui {
class ChannelSetting;
}

class ChannelSetting : public QWidget {
    Q_OBJECT

public:
    explicit ChannelSetting(QWidget* parent = 0);
    ~ChannelSetting();
    void show();

public slots:
    void onReceiveEnter();
    void onReceivePre();
    void onReceiveNext();

private:
    Ui::ChannelSetting* ui;
    QString protocol1; // 通道1输入信号类型
    QString protocol2; // 通道2输入信号类型
};

#endif // CHANNELSETTING_H
